> ## Documentation Index
> Fetch the complete documentation index at: https://dripart-feat-openapi-i18n.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 새 배포자 생성



## OpenAPI

````yaml /openapi/registry.ko.yaml post /publishers
openapi: 3.0.2
info:
  title: Comfy API
  version: '1.0'
servers:
  - url: https://api.comfy.org
security: []
paths:
  /publishers:
    post:
      tags:
        - Registry
      summary: 새 배포자 생성
      operationId: CreatePublisher
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Publisher'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Publisher'
          description: 배포자 생성 성공
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: 잘못된 요청, 잘못된 입력 데이터
        '401':
          description: 인증되지 않음
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: 금지됨
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: 내부 서버 오류
      security:
        - BearerAuth: []
components:
  schemas:
    Publisher:
      properties:
        createdAt:
          description: 배포자가 생성된 날짜와 시간.
          format: date-time
          type: string
        description:
          type: string
        id:
          description: 배포자의 고유 식별자입니다. 사용자 이름과 유사합니다. 소문자여야 합니다.
          type: string
        logo:
          description: 배포자 로고의 URL.
          type: string
        members:
          description: 배포자 내 멤버 목록.
          items:
            $ref: '#/components/schemas/PublisherMember'
          type: array
        name:
          type: string
        source_code_repo:
          type: string
        status:
          $ref: '#/components/schemas/PublisherStatus'
        support:
          type: string
        website:
          type: string
      type: object
    ErrorResponse:
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
        - message
      type: object
    PublisherMember:
      properties:
        id:
          description: 배포자 멤버의 고유 식별자.
          type: string
        role:
          description: 배포자 내 사용자의 역할.
          type: string
        user:
          $ref: '#/components/schemas/PublisherUser'
      type: object
    PublisherStatus:
      enum:
        - PublisherStatusActive
        - PublisherStatusBanned
      type: string
    PublisherUser:
      properties:
        email:
          description: 이 사용자의 이메일 주소.
          type: string
        id:
          description: 이 사용자의 고유 ID.
          type: string
        name:
          description: 이 사용자의 이름.
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````